Bug 1409698 - [DOCS] Document options for configuring GCE at install
Summary: [DOCS] Document options for configuring GCE at install
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 3.3.0
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
: ---
Assignee: Michael Burke
QA Contact: Gaoyun Pei
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-03 03:28 UTC by brice
Modified: 2017-03-24 20:28 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-03-24 20:28:34 UTC
Target Upstream Version:


Attachments (Terms of Use)
Emails between Eric R and Michael B (113.17 KB, application/pdf)
2017-03-14 20:40 UTC, Michael Burke
no flags Details

Description brice 2017-01-03 03:28:07 UTC
From here: https://github.com/openshift/openshift-docs/issues/3369

You can configure GCE at install using `openshift_cloudprovider_kind=gce`.

Similar to the AWS method:

https://docs.openshift.com/container-platform/3.3/install_config/configuring_aws.html#aws-configuring-masters-ansible

But also, we need to document how you can set the multi-zone config using:

[Global]
multizone = true

Comment 1 Michael Burke 2017-03-14 20:40:34 UTC
Created attachment 1263046 [details]
Emails between Eric R and Michael B

Comment 4 Michael Burke 2017-03-14 21:24:24 UTC
(In reply to Michael Burke from comment #2)
> Updated with comments between Eric R and Michael B, attached.
> 
> http://file.rdu.redhat.com/~mburke/BZ-1429224/master_node_config.html
> http://file.rdu.redhat.com/~mburke/BZ-1429224/configuring_authentication.html

DISREGARD: INCORRECT BZ ISSUE

Comment 5 Michael Burke 2017-03-14 21:37:31 UTC
@Andrew

To the Configuring for GCE topic, I added:

* Configuring GCE Variables for `multizone = true`

* Configuring OpenShift Container Platform Masters for GCE with Ansible for `openshift_cloudprovider_kind=gce`

In: 
* Manually Configuring OpenShift Container Platform Masters for GCE, I updated the content for `master-config.yaml` with `cloud-config:- "/etc/gce/gce.conf"` 

* Configuring Nodes, I updated the content for `node-config.yaml` with `cloud-config:- "/etc/gce/gce.conf"`


Please let me knof if this meets your expectations so that I can make further changes or move to QA.

See:
http://file.rdu.redhat.com/~mburke/BZ-1409698/configuring_gce.html

Comment 7 Andrew Butcher 2017-03-16 19:55:57 UTC
@Michael, Thanks!

The /etc/gce/gce.conf config file does not need to be created manually if using openshift-ansible to configure via openshift_cloudprovider_kind=gce.

I would remove this note from the code block for setting cloudprovider kind. We do not have variables for configuring access/secret keys in GCE.

"""
# Note: You may make use of environment variables rather than store
# sensitive configuration within the ansible inventory.
"""

Sysconfig files will not be edited during configuration: /etc/sysconfig/atomic-openshift-master, /etc/sysconfig/atomic-openshift-node

Comment 8 Michael Burke 2017-03-16 20:51:44 UTC
Made the changes as suggested.

http://file.rdu.redhat.com/~mburke/BZ-1409698/configuring_gce.html

Comment 9 Gaoyun Pei 2017-03-17 07:18:48 UTC
@Michael

For ocp-3.5 installer, when configuring GCE cloudprovider with Ansible, the default cloud-config file was created as /etc/origin/cloudprovider/gce.conf[1] instead of /etc/gce/gce.conf.

Other parts are okay for me, thanks.


[1] https://github.com/openshift/openshift-ansible/blob/master/roles/openshift_cloud_provider/tasks/gce.yml#L5

Comment 10 Michael Burke 2017-03-17 15:03:46 UTC
Changed the path as suggested.

http://file.rdu.redhat.com/~mburke/BZ-1409698/configuring_gce.html

Comment 11 Gaoyun Pei 2017-03-20 08:09:55 UTC
Thanks, move this bug to verified

Comment 12 openshift-github-bot 2017-03-21 13:46:49 UTC
Commit pushed to master at https://github.com/openshift/openshift-docs

https://github.com/openshift/openshift-docs/commit/86b8ebec017aacd91af296bf42bd4eaed877223f
Merge pull request #3974 from mburke5678/mburke-BZ-1409698

Bug 1409698 Document options for configuring GCE at install


Note You need to log in before you can comment on or make changes to this bug.